| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.LayoutHints

Portability | portable
Stability | unstable
Maintainer | none

Contents

usage

Description
Make layouts respect size hints.
Synopsis

layoutHints :: LayoutClass l a => l a -> ModifiedLayout LayoutHints l a
data LayoutHints a

usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.LayoutHints

Then edit your `layoutHook` by adding the LayoutHints layout modifier to some layout:

     myLayouts = layoutHints (Tall 1 (3/100) (1/2))  ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

layoutHints :: LayoutClass l a => l a -> ModifiedLayout LayoutHints l a | Source

data LayoutHints a | Source

Instances

LayoutModifier LayoutHints Window
Read (LayoutHints a)
Show (LayoutHints a)

Produced by Haddock version 2.4.2